
{
  "header": {
    "reportVersion": 1,
    "event": "Allocation failed - JavaScript heap out of memory",
    "trigger": "FatalError",
    "filename": "report.20221201.153138.69120.0.001.json",
    "dumpEventTime": "2022-12-01T15:31:38Z",
    "dumpEventTimeStamp": "1669879898763",
    "processId": 69120,
    "cwd": "/Users/mawenqiang/work/Pad_New",
    "commandLine": [
      "node",
      "/Users/mawenqiang/work/Pad_New/node_modules/.bin/webpack-dev-server",
      "--inline",
      "--progress",
      "--config",
      "build/webpack.dev.conf.js"
    ],
    "nodejsVersion": "v12.14.0",
    "wordSize": 64,
    "arch": "x64",
    "platform": "darwin",
    "componentVersions": {
      "node": "12.14.0",
      "v8": "7.7.299.13-node.16",
      "uv": "1.33.1",
      "zlib": "1.2.11",
      "brotli": "1.0.7",
      "ares": "1.15.0",
      "modules": "72",
      "nghttp2": "1.39.2",
      "napi": "5",
      "llhttp": "1.1.4",
      "http_parser": "2.8.0",
      "openssl": "1.1.1d",
      "cldr": "35.1",
      "icu": "64.2",
      "tz": "2019c",
      "unicode": "12.1"
    },
    "release": {
      "name": "node",
      "lts": "Erbium",
      "headersUrl": "https://nodejs.org/download/release/v12.14.0/node-v12.14.0-headers.tar.gz",
      "sourceUrl": "https://nodejs.org/download/release/v12.14.0/node-v12.14.0.tar.gz"
    },
    "osName": "Darwin",
    "osRelease": "18.7.0",
    "osVersion": "Darwin Kernel Version 18.7.0: Tue Aug 20 16:57:14 PDT 2019; root:xnu-4903.271.2~2/RELEASE_X86_64",
    "osMachine": "x86_64",
    "cpus": [
      {
        "model": "Intel(R) Core(TM) i5-8210Y CPU @ 1.60GHz",
        "speed": 1600,
        "user": 233145060,
        "nice": 0,
        "sys": 114506300,
        "idle": 204519080,
        "irq": 0
      },
      {
        "model": "Intel(R) Core(TM) i5-8210Y CPU @ 1.60GHz",
        "speed": 1600,
        "user": 97839520,
        "nice": 0,
        "sys": 49042040,
        "idle": 405277470,
        "irq": 0
      },
      {
        "model": "Intel(R) Core(TM) i5-8210Y CPU @ 1.60GHz",
        "speed": 1600,
        "user": 235629230,
        "nice": 0,
        "sys": 106448890,
        "idle": 210081370,
        "irq": 0
      },
      {
        "model": "Intel(R) Core(TM) i5-8210Y CPU @ 1.60GHz",
        "speed": 1600,
        "user": 92752570,
        "nice": 0,
        "sys": 44761530,
        "idle": 414644910,
        "irq": 0
      }
    ],
    "networkInterfaces": [
      {
        "name": "lo0",
        "internal": true,
        "mac": "00:00:00:00:00:00",
        "address": "127.0.0.1",
        "netmask": "255.0.0.0",
        "family": "IPv4"
      },
      {
        "name": "lo0",
        "internal": true,
        "mac": "00:00:00:00:00:00",
        "address": "::1",
        "netmask": "ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff",
        "family": "IPv6",
        "scopeid": 0
      },
      {
        "name": "lo0",
        "internal": true,
        "mac": "00:00:00:00:00:00",
        "address": "fe80::1",
        "netmask": "ffff:ffff:ffff:ffff::",
        "family": "IPv6",
        "scopeid": 1
      },
      {
        "name": "en3",
        "internal": false,
        "mac": "ac:de:48:00:11:22",
        "address": "fe80::aede:48ff:fe00:1122",
        "netmask": "ffff:ffff:ffff:ffff::",
        "family": "IPv6",
        "scopeid": 7
      },
      {
        "name": "en0",
        "internal": false,
        "mac": "f8:ff:c2:1c:29:37",
        "address": "fe80::183f:d139:ea22:1f03",
        "netmask": "ffff:ffff:ffff:ffff::",
        "family": "IPv6",
        "scopeid": 9
      },
      {
        "name": "en0",
        "internal": false,
        "mac": "f8:ff:c2:1c:29:37",
        "address": "192.168.0.47",
        "netmask": "255.255.255.0",
        "family": "IPv4"
      },
      {
        "name": "awdl0",
        "internal": false,
        "mac": "8a:6c:2d:da:a5:3b",
        "address": "fe80::886c:2dff:feda:a53b",
        "netmask": "ffff:ffff:ffff:ffff::",
        "family": "IPv6",
        "scopeid": 11
      },
      {
        "name": "utun0",
        "internal": false,
        "mac": "00:00:00:00:00:00",
        "address": "fe80::771c:fdcd:8b5b:5e26",
        "netmask": "ffff:ffff:ffff:ffff::",
        "family": "IPv6",
        "scopeid": 15
      }
    ],
    "host": "mawenqiangdeMacBook-Air.local"
  },
  "javascriptStack": {
    "message": "No stack.",
    "stack": [
      "Unavailable."
    ]
  },
  "nativeStack": [
    {
      "pc": "0x000000010014db86",
      "symbol": "report::TriggerNodeReport(v8::Isolate*, node::Environment*, char const*, char const*, std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&, v8::Local<v8::String>) [/usr/local/bin/node]"
    },
    {
      "pc": "0x000000010007eb13",
      "symbol": "node::OnFatalError(char const*, char const*) [/usr/local/bin/node]"
    },
    {
      "pc": "0x0000000100176337",
      "symbol": "v8::Utils::ReportOOMFailure(v8::internal::Isolate*, char const*, bool) [/usr/local/bin/node]"
    },
    {
      "pc": "0x00000001001762d3",
      "symbol": "v8::internal::V8::FatalProcessOutOfMemory(v8::internal::Isolate*, char const*, bool) [/usr/local/bin/node]"
    },
    {
      "pc": "0x00000001002fa485",
      "symbol": "v8::internal::Heap::FatalProcessOutOfMemory(char const*) [/usr/local/bin/node]"
    },
    {
      "pc": "0x00000001002fbb54",
      "symbol": "v8::internal::Heap::RecomputeLimits(v8::internal::GarbageCollector) [/usr/local/bin/node]"
    },
    {
      "pc": "0x00000001002f8a27",
      "symbol": "v8::internal::Heap::PerformGarbageCollection(v8::internal::GarbageCollector, v8::GCCallbackFlags) [/usr/local/bin/node]"
    },
    {
      "pc": "0x00000001002f6a0d",
      "symbol": "v8::internal::Heap::CollectGarbage(v8::internal::AllocationSpace, v8::internal::GarbageCollectionReason, v8::GCCallbackFlags) [/usr/local/bin/node]"
    },
    {
      "pc": "0x0000000100302124",
      "symbol": "v8::internal::Heap::AllocateRawWithLightRetry(int, v8::internal::AllocationType, v8::internal::AllocationAlignment) [/usr/local/bin/node]"
    },
    {
      "pc": "0x000000010030219f",
      "symbol": "v8::internal::Heap::AllocateRawWithRetryOrFail(int, v8::internal::AllocationType, v8::internal::AllocationAlignment) [/usr/local/bin/node]"
    },
    {
      "pc": "0x00000001002ced97",
      "symbol": "v8::internal::Factory::NewFillerObject(int, bool, v8::internal::AllocationType) [/usr/local/bin/node]"
    },
    {
      "pc": "0x00000001005f83e5",
      "symbol": "v8::internal::Runtime_AllocateInYoungGeneration(int, unsigned long*, v8::internal::Isolate*) [/usr/local/bin/node]"
    },
    {
      "pc": "0x0000000100930c99",
      "symbol": "Builtins_CEntry_Return1_DontSaveFPRegs_ArgvOnStack_NoBuiltinExit [/usr/local/bin/node]"
    },
    {
      "pc": "0x0000000100931b71",
      "symbol": "Builtins_StringAdd_CheckNone [/usr/local/bin/node]"
    }
  ],
  "javascriptHeap": {
    "totalMemory": 2165698560,
    "totalCommittedMemory": 2153942352,
    "usedMemory": 2129793320,
    "availableMemory": 49058048,
    "memoryLimit": 2197815296,
    "heapSpaces": {
      "read_only_space": {
        "memorySize": 262144,
        "committedMemory": 32568,
        "capacity": 261872,
        "used": 32296,
        "available": 229576
      },
      "new_space": {
        "memorySize": 15728640,
        "committedMemory": 4613448,
        "capacity": 7856160,
        "used": 737816,
        "available": 7118344
      },
      "old_space": {
        "memorySize": 796766208,
        "committedMemory": 796754048,
        "capacity": 791381472,
        "used": 789644240,
        "available": 1737232
      },
      "code_space": {
        "memorySize": 3571712,
        "committedMemory": 3393632,
        "capacity": 3037344,
        "used": 3037344,
        "available": 0
      },
      "map_space": {
        "memorySize": 15208448,
        "committedMemory": 14987248,
        "capacity": 3318640,
        "used": 3318640,
        "available": 0
      },
      "large_object_space": {
        "memorySize": 1333538816,
        "committedMemory": 1333538816,
        "capacity": 1332472328,
        "used": 1332472328,
        "available": 0
      },
      "code_large_object_space": {
        "memorySize": 622592,
        "committedMemory": 622592,
        "capacity": 550656,
        "used": 550656,
        "available": 0
      },
      "new_large_object_space": {
        "memorySize": 0,
        "committedMemory": 0,
        "capacity": 7856160,
        "used": 0,
        "available": 7856160
      }
    }
  },
  "resourceUsage": {
    "userCpuSeconds": 3187.56,
    "kernelCpuSeconds": 234.236,
    "cpuConsumptionPercent": 19.7017,
    "maxRss": 1829320523776,
    "pageFaults": {
      "IORequired": 3934,
      "IONotRequired": 37065103
    },
    "fsActivity": {
      "reads": 0,
      "writes": 0
    }
  },
  "libuv": [
  ],
  "environmentVariables": {
    "npm_config_save_dev": "",
    "npm_config_legacy_bundling": "",
    "npm_config_dry_run": "",
    "npm_package_engines_npm": ">= 3.0.0",
    "npm_package_devDependencies_qiniu_webpack_plugin": "^0.4.2",
    "npm_package_devDependencies_chromedriver": "^2.46.0",
    "npm_package_devDependencies_babel_register": "^6.22.0",
    "npm_config_viewer": "man",
    "npm_config_only": "",
    "npm_config_commit_hooks": "true",
    "npm_config_browser": "",
    "npm_package_gitHead": "4e735303c4fe2d76375fea53e292cc23592b62a6",
    "npm_package_devDependencies_postcss_import": "^11.0.0",
    "npm_package_dependencies_better_scroll": "^1.15.2",
    "npm_config_also": "",
    "npm_package_dependencies_vux": "^2.9.4",
    "npm_config_sign_git_commit": "",
    "npm_config_rollback": "true",
    "npm_package_devDependencies_url_loader": "^0.5.8",
    "TERM_PROGRAM": "vscode",
    "NODE": "/usr/local/bin/node",
    "npm_config_usage": "",
    "npm_config_audit": "true",
    "npm_package_devDependencies_file_loader": "^1.1.4",
    "npm_package_devDependencies_babel_plugin_transform_vue_jsx": "^3.5.0",
    "npm_package_dependencies_vant": "^2.9.2",
    "npm_package_scripts_fiximg": "xcopy %cd%\\dist\\static\\img %cd%\\dist\\static\\css\\static\\img /s /y /d /e /i",
    "INIT_CWD": "/Users/mawenqiang/work/Pad_New",
    "npm_package_devDependencies_friendly_errors_webpack_plugin": "^1.6.1",
    "npm_package_dependencies_moment": "^2.27.0",
    "npm_package_dependencies_axios": "^0.19.2",
    "npm_config_globalignorefile": "/usr/local/etc/npmignore",
    "npm_package_devDependencies_selenium_server": "^3.141.59",
    "npm_package_devDependencies_jest": "^22.0.4",
    "npm_package_devDependencies_babel_plugin_transform_runtime": "^6.22.0",
    "npm_package_dependencies_amfe_flexible": "^2.2.1",
    "SHELL": "/bin/bash",
    "TERM": "xterm-256color",
    "npm_config_shell": "/bin/bash",
    "npm_config_maxsockets": "50",
    "npm_config_init_author_url": "",
    "npm_package_devDependencies_vue_template_compiler": "^2.6.11",
    "npm_package_devDependencies_style_loader": "^0.23.1",
    "npm_package_devDependencies_rimraf": "^2.7.1",
    "npm_package_dependencies_weui_js": "^1.2.2",
    "npm_config_shrinkwrap": "true",
    "npm_config_parseable": "",
    "npm_config_metrics_registry": "https://registry.npmjs.org/",
    "npm_package_devDependencies_webpack_merge": "^4.2.2",
    "npm_package_devDependencies_semver": "^5.7.1",
    "npm_package_devDependencies_eslint_config_standard": "^10.2.1",
    "TMPDIR": "/var/folders/pk/rj7f_n6x3n9b5k9pzpwb01580000gn/T/",
    "npm_config_timing": "",
    "npm_config_init_license": "ISC",
    "npm_package_scripts_lint": "eslint --ext .js,.vue src test/unit test/e2e/specs",
    "Apple_PubSub_Socket_Render": "/private/tmp/com.apple.launchd.x5ozKzfoN6/Render",
    "npm_config_if_present": "",
    "npm_package_devDependencies_jquery": "^3.5.1",
    "npm_package_devDependencies_babel_core": "^6.22.1",
    "TERM_PROGRAM_VERSION": "1.73.1",
    "npm_package_scripts_dev": "webpack-dev-server --inline --progress --config build/webpack.dev.conf.js",
    "npm_config_sign_git_tag": "",
    "npm_config_init_author_email": "",
    "npm_config_cache_max": "Infinity",
    "npm_package_devDependencies_sass_loader": "^7.3.1",
    "MallocNanoZone": "0",
    "ORIGINAL_XDG_CURRENT_DESKTOP": "undefined",
    "npm_config_preid": "",
    "npm_config_long": "",
    "npm_config_local_address": "",
    "npm_config_git_tag_version": "true",
    "npm_config_cert": "",
    "npm_package_devDependencies_webpack_bundle_analyzer": "^2.9.0",
    "npm_config_registry": "https://registry.npmjs.org/",
    "npm_config_noproxy": "",
    "npm_config_fetch_retries": "2",
    "npm_package_devDependencies_babel_plugin_syntax_jsx": "^6.18.0",
    "npm_package_private": "true",
    "npm_package_devDependencies_shelljs": "^0.7.6",
    "npm_package_devDependencies_extract_text_webpack_plugin": "^3.0.0",
    "npm_config_versions": "",
    "npm_config_message": "%s",
    "npm_config_key": "",
    "npm_package_readmeFilename": "README.md",
    "npm_package_dependencies_print_js": "^1.0.63",
    "npm_package_devDependencies_webpack": "^3.12.0",
    "npm_package_description": "A Vue.js project",
    "USER": "mawenqiang",
    "npm_package_devDependencies_babel_preset_stage_2": "^6.22.0",
    "npm_package_devDependencies_postcss_loader": "^2.0.8",
    "npm_package_devDependencies_less_loader": "^4.1.0",
    "npm_package_devDependencies_eslint_loader": "^1.7.1",
    "npm_config_globalconfig": "/usr/local/etc/npmrc",
    "npm_package_devDependencies_eslint_friendly_formatter": "^3.0.0",
    "npm_package_dependencies_muse_ui": "^3.0.2",
    "npm_config_prefer_online": "",
    "npm_config_logs_max": "10",
    "npm_config_always_auth": "",
    "npm_package_devDependencies_webpack_dev_server": "^2.11.5",
    "npm_package_devDependencies_postcss_url": "^7.2.1",
    "npm_package_devDependencies_babel_jest": "^21.0.2",
    "npm_package_devDependencies_babel_loader": "^7.1.1",
    "SSH_AUTH_SOCK": "/private/tmp/com.apple.launchd.QXxpwGJs5z/Listeners",
    "npm_package_devDependencies_postcss_pxtorem": "^5.1.1",
    "npm_package_devDependencies_less": "^3.12.0",
    "npm_package_devDependencies_eslint": "^4.15.0",
    "__CF_USER_TEXT_ENCODING": "0x1F5:0x19:0x34",
    "npm_execpath": "/usr/local/lib/node_modules/npm/bin/npm-cli.js",
    "npm_config_global_style": "",
    "npm_config_cache_lock_retries": "10",
    "npm_package_dependencies_js_pinyin": "^0.1.9",
    "npm_package_scripts_fixfont": "xcopy %cd%\\dist\\static\\fonts %cd%\\dist\\static\\css\\static\\fonts /s /y /d /e /i",
    "npm_package_scripts_e2e": "node test/e2e/runner.js",
    "npm_config_update_notifier": "true",
    "npm_config_cafile": "",
    "npm_package_devDependencies_babel_plugin_import": "^1.13.0",
    "npm_package_author_name": "superman",
    "npm_config_heading": "npm",
    "npm_config_audit_level": "low",
    "npm_package_devDependencies_uglifyjs_webpack_plugin": "^1.1.1",
    "npm_package_devDependencies_copy_webpack_plugin": "^4.6.0",
    "PATN": "/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/go/bin:/usr/local/mysql/bin:/usr/local/go/bin:/Users/mawenqiang/go/bin",
    "npm_config_searchlimit": "20",
    "npm_config_read_only": "",
    "npm_config_offline": "",
    "npm_config_fetch_retry_mintimeout": "10000",
    "npm_package_devDependencies_jest_serializer_vue": "^0.3.0",
    "npm_config_json": "",
    "npm_config_access": "",
    "npm_config_argv": "{\"remain\":[],\"cooked\":[\"run\",\"dev\"],\"original\":[\"run\",\"dev\"]}",
    "npm_package_devDependencies_vux_loader": "^1.2.9",
    "PATH": "/usr/local/lib/node_modules/npm/node_modules/npm-lifecycle/node-gyp-bin:/Users/mawenqiang/work/Pad_New/node_modules/.bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/go/bin:/usr/local/mysql/bin:/usr/local/go/bin:/usr/local/mysql/bin",
    "npm_config_allow_same_version": "",
    "npm_package_dependencies_mint_ui": "^2.2.13",
    "npm_config_https_proxy": "",
    "npm_config_engine_strict": "",
    "npm_config_description": "true",
    "npm_package_dependencies_weui": "^2.3.0",
    "npm_package_dependencies_vue_pickers": "^1.1.5",
    "npm_package_dependencies_vue": "^2.6.11",
    "_": "/Users/mawenqiang/work/Pad_New/node_modules/.bin/webpack-dev-server",
    "npm_config_userconfig": "/Users/mawenqiang/.npmrc",
    "npm_config_init_module": "/Users/mawenqiang/.npm-init.js",
    "npm_package_devDependencies_postcss_px2rem": "^0.3.0",
    "npm_config_cidr": "",
    "npm_package_devDependencies_eslint_plugin_standard": "^3.0.1",
    "PWD": "/Users/mawenqiang/work/Pad_New",
    "npm_config_user": "",
    "npm_config_node_version": "12.14.0",
    "npm_package_devDependencies_babel_helper_vue_jsx_merge_props": "^2.0.3",
    "npm_lifecycle_event": "dev",
    "npm_package_devDependencies_nightwatch": "^0.9.12",
    "npm_config_save": "true",
    "npm_config_ignore_prepublish": "",
    "npm_config_editor": "vi",
    "npm_config_auth_type": "legacy",
    "npm_package_devDependencies_vue_style_loader": "^3.0.1",
    "npm_package_scripts_unit": "jest --config test/unit/jest.conf.js --coverage",
    "npm_package_name": "yes",
    "LANG": "zh_CN.UTF-8",
    "npm_config_tag": "latest",
    "npm_config_script_shell": "",
    "npm_package_devDependencies_eslint_plugin_import": "^2.22.0",
    "npm_config_progress": "true",
    "npm_config_global": "",
    "npm_config_before": "",
    "npm_package_scripts_build_cdn": "node build/build-cdn.js",
    "npm_package_scripts_build": "cross-env NODE_ENV=production env_config=prod node build/build.js && npm run fixfont && npm run fiximg",
    "npm_package_scripts_start": "npm run dev",
    "npm_config_searchstaleness": "900",
    "npm_config_optional": "true",
    "npm_config_ham_it_up": "",
    "XPC_FLAGS": "0x0",
    "VSCODE_GIT_ASKPASS_EXTRA_ARGS": "--ms-enable-electron-run-as-node",
    "npm_config_save_prod": "",
    "npm_config_force": "",
    "npm_config_bin_links": "true",
    "npm_config_searchopts": "",
    "npm_package_engines_node": ">= 6.0.0",
    "npm_package_devDependencies_node_notifier": "^5.4.3",
    "npm_package_dependencies_cropperjs": "^1.5.7",
    "npm_config_node_gyp": "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js",
    "npm_config_depth": "Infinity",
    "npm_package_devDependencies_eslint_plugin_node": "^5.2.0",
    "npm_config_sso_poll_frequency": "500",
    "npm_config_rebuild_bundle": "true",
    "npm_package_devDependencies_cropper": "^4.1.0",
    "npm_package_version": "1.0.0",
    "XPC_SERVICE_NAME": "0",
    "npm_config_unicode": "true",
    "npm_package_devDependencies_autoprefixer": "^7.1.2",
    "npm_package_dependencies_vue_cropperjs": "^3.0.0",
    "npm_package_devDependencies_yaml_loader": "^0.5.0",
    "HOME": "/Users/mawenqiang",
    "SHLVL": "3",
    "npm_config_fetch_retry_maxtimeout": "60000",
    "npm_package_devDependencies_eslint_plugin_vue": "^4.0.0",
    "npm_package_scripts_test": "npm run unit && npm run e2e",
    "GOROOT": "/usr/local/go",
    "VSCODE_GIT_ASKPASS_MAIN": "/Users/mawenqiang/Desktop/Visual Studio Code.app/Contents/Resources/app/extensions/git/dist/askpass-main.js",
    "npm_config_tag_version_prefix": "v",
    "npm_config_strict_ssl": "true",
    "npm_config_sso_type": "oauth",
    "npm_config_scripts_prepend_node_path": "warn-only",
    "npm_config_save_prefix": "^",
    "npm_config_loglevel": "notice",
    "npm_config_ca": "",
    "npm_package_devDependencies_babel_plugin_dynamic_import_node": "^1.2.0",
    "npm_config_save_exact": "",
    "npm_config_group": "20",
    "npm_config_fetch_retry_factor": "10",
    "npm_config_dev": "",
    "npm_package_devDependencies_ora": "^1.2.0",
    "npm_package_devDependencies_cross_env": "^5.2.1",
    "npm_package_devDependencies_babel_eslint": "^8.2.1",
    "npm_config_version": "",
    "npm_config_prefer_offline": "",
    "npm_config_cache_lock_stale": "60000",
    "npm_package_browserslist_2": "not ie <= 8",
    "npm_package_devDependencies_vue_jest": "^1.0.2",
    "npm_package_devDependencies_eslint_plugin_promise": "^3.4.0",
    "npm_package_dependencies_echarts": "^4.8.0",
    "npm_config_otp": "",
    "npm_config_cache_min": "10",
    "npm_package_browserslist_1": "last 2 versions",
    "npm_package_devDependencies_vue_loader": "^13.3.0",
    "npm_package_devDependencies_babel_preset_env": "^1.3.2",
    "npm_config_searchexclude": "",
    "npm_config_cache": "/Users/mawenqiang/.npm",
    "npm_package_browserslist_0": "> 1%",
    "npm_package_devDependencies_html_webpack_plugin": "^2.30.1",
    "LOGNAME": "mawenqiang",
    "npm_lifecycle_script": "webpack-dev-server --inline --progress --config build/webpack.dev.conf.js",
    "npm_config_color": "true",
    "npm_package_devDependencies_cross_spawn": "^5.0.1",
    "npm_package_dependencies_lib_flexible": "^0.3.2",
    "npm_package_dependencies_element_ui": "^2.13.2",
    "npm_config_proxy": "",
    "npm_config_package_lock": "true",
    "npm_package_dependencies_vuex": "^3.5.1",
    "npm_package_dependencies_vue_cropper": "^0.4.9",
    "VSCODE_GIT_IPC_HANDLE": "/var/folders/pk/rj7f_n6x3n9b5k9pzpwb01580000gn/T/vscode-git-d0cae7a671.sock",
    "npm_config_package_lock_only": "",
    "npm_config_fund": "true",
    "npm_config_save_optional": "",
    "GOPATH": "/Users/mawenqiang:/Users/mawenqiang/GolandProjects",
    "npm_config_ignore_scripts": "",
    "npm_config_user_agent": "npm/6.13.4 node/v12.14.0 darwin x64",
    "npm_package_dependencies__types_better_scroll": "^1.12.2",
    "npm_config_cache_lock_wait": "10000",
    "npm_package_devDependencies_portfinder": "^1.0.26",
    "npm_package_devDependencies_chalk": "^2.4.2",
    "npm_package_devDependencies_babel_plugin_transform_es2015_modules_commonjs": "^6.26.0",
    "GIT_ASKPASS": "/Users/mawenqiang/Desktop/Visual Studio Code.app/Contents/Resources/app/extensions/git/dist/askpass.sh",
    "VSCODE_GIT_ASKPASS_NODE": "/Users/mawenqiang/Desktop/Visual Studio Code.app/Contents/Frameworks/Code Helper.app/Contents/MacOS/Code Helper",
    "npm_config_production": "",
    "npm_package_devDependencies_write_json": "^3.0.1",
    "npm_config_send_metrics": "",
    "npm_config_save_bundle": "",
    "npm_config_umask": "0022",
    "npm_config_node_options": "",
    "npm_config_init_version": "1.0.0",
    "npm_config_init_author_name": "",
    "npm_config_git": "git",
    "npm_config_scope": "",
    "npm_package_devDependencies_node_sass": "^4.14.1",
    "npm_package_devDependencies_css_loader": "^0.28.0",
    "npm_package_dependencies_vue_router": "^3.3.4",
    "npm_config_unsafe_perm": "true",
    "npm_config_tmp": "/var/folders/pk/rj7f_n6x3n9b5k9pzpwb01580000gn/T",
    "npm_config_onload_script": "",
    "npm_package_devDependencies_sass_resources_loader": "^1.3.5",
    "npm_node_execpath": "/usr/local/bin/node",
    "npm_config_prefix": "/usr/local",
    "npm_config_link": "",
    "npm_config_format_package_lock": "true",
    "npm_package_devDependencies_optimize_css_assets_webpack_plugin": "^3.2.1",
    "COLORTERM": "truecolor",
    "__VUX_BUILD__": "false",
    "PORT": "8081",
    "NODE_ENV": "development"
  },
  "userLimits": {
    "core_file_size_blocks": {
      "soft": 0,
      "hard": "unlimited"
    },
    "data_seg_size_kbytes": {
      "soft": "unlimited",
      "hard": "unlimited"
    },
    "file_size_blocks": {
      "soft": "unlimited",
      "hard": "unlimited"
    },
    "max_locked_memory_bytes": {
      "soft": "unlimited",
      "hard": "unlimited"
    },
    "max_memory_size_kbytes": {
      "soft": "unlimited",
      "hard": "unlimited"
    },
    "open_files": {
      "soft": 10240,
      "hard": "unlimited"
    },
    "stack_size_bytes": {
      "soft": 8388608,
      "hard": 67104768
    },
    "cpu_time_seconds": {
      "soft": "unlimited",
      "hard": "unlimited"
    },
    "max_user_processes": {
      "soft": 709,
      "hard": 1064
    },
    "virtual_memory_kbytes": {
      "soft": "unlimited",
      "hard": "unlimited"
    }
  },
  "sharedObjects": [
    "/usr/local/bin/node",
    "/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation",
    "/usr/lib/libSystem.B.dylib",
    "/usr/lib/libc++.1.dylib",
    "/usr/lib/libobjc.A.dylib",
    "/usr/lib/libDiagnosticMessagesClient.dylib",
    "/usr/lib/libicucore.A.dylib",
    "/usr/lib/libz.1.dylib",
    "/usr/lib/libc++abi.dylib",
    "/usr/lib/system/libcache.dylib",
    "/usr/lib/system/libcommonCrypto.dylib",
    "/usr/lib/system/libcompiler_rt.dylib",
    "/usr/lib/system/libcopyfile.dylib",
    "/usr/lib/system/libcorecrypto.dylib",
    "/usr/lib/system/libdispatch.dylib",
    "/usr/lib/system/libdyld.dylib",
    "/usr/lib/system/libkeymgr.dylib",
    "/usr/lib/system/liblaunch.dylib",
    "/usr/lib/system/libmacho.dylib",
    "/usr/lib/system/libquarantine.dylib",
    "/usr/lib/system/libremovefile.dylib",
    "/usr/lib/system/libsystem_asl.dylib",
    "/usr/lib/system/libsystem_blocks.dylib",
    "/usr/lib/system/libsystem_c.dylib",
    "/usr/lib/system/libsystem_configuration.dylib",
    "/usr/lib/system/libsystem_coreservices.dylib",
    "/usr/lib/system/libsystem_darwin.dylib",
    "/usr/lib/system/libsystem_dnssd.dylib",
    "/usr/lib/system/libsystem_info.dylib",
    "/usr/lib/system/libsystem_m.dylib",
    "/usr/lib/system/libsystem_malloc.dylib",
    "/usr/lib/system/libsystem_networkextension.dylib",
    "/usr/lib/system/libsystem_notify.dylib",
    "/usr/lib/system/libsystem_sandbox.dylib",
    "/usr/lib/system/libsystem_secinit.dylib",
    "/usr/lib/system/libsystem_kernel.dylib",
    "/usr/lib/system/libsystem_platform.dylib",
    "/usr/lib/system/libsystem_pthread.dylib",
    "/usr/lib/system/libsystem_symptoms.dylib",
    "/usr/lib/system/libsystem_trace.dylib",
    "/usr/lib/system/libunwind.dylib",
    "/usr/lib/system/libxpc.dylib",
    "/System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib",
    "/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices",
    "/System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics",
    "/System/Library/Frameworks/CoreText.framework/Versions/A/CoreText",
    "/System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO",
    "/System/Library/Frameworks/ColorSync.framework/Versions/A/ColorSync",
    "/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS",
    "/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSyncLegacy.framework/Versions/A/ColorSyncLegacy",
    "/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices",
    "/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices",
    "/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis",
    "/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore",
    "/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD",
    "/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis",
    "/System/Library/PrivateFrameworks/SkyLight.framework/Versions/A/SkyLight",
    "/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface",
    "/usr/lib/libxml2.2.dylib",
    "/System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork",
    "/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate",
    "/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation",
    "/usr/lib/libcompression.dylib",
    "/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration",
    "/System/Library/Frameworks/CoreDisplay.framework/Versions/A/CoreDisplay",
    "/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit",
    "/System/Library/Frameworks/Metal.framework/Versions/A/Metal",
    "/System/Library/Frameworks/MetalPerformanceShaders.framework/Versions/A/MetalPerformanceShaders",
    "/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport",
    "/System/Library/Frameworks/Security.framework/Versions/A/Security",
    "/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore",
    "/usr/lib/libbsm.0.dylib",
    "/usr/lib/liblzma.5.dylib",
    "/usr/lib/libauto.dylib",
    "/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration",
    "/usr/lib/libarchive.2.dylib",
    "/usr/lib/liblangid.dylib",
    "/usr/lib/libCRFSuite.dylib",
    "/usr/lib/libenergytrace.dylib",
    "/usr/lib/system/libkxld.dylib",
    "/System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression",
    "/usr/lib/libOpenScriptingUtil.dylib",
    "/usr/lib/libcoretls.dylib",
    "/usr/lib/libcoretls_cfhelpers.dylib",
    "/usr/lib/libpam.2.dylib",
    "/usr/lib/libsqlite3.dylib",
    "/usr/lib/libxar.1.dylib",
    "/usr/lib/libbz2.1.0.dylib",
    "/usr/lib/libnetwork.dylib",
    "/usr/lib/libapple_nghttp2.dylib",
    "/usr/lib/libpcap.A.dylib",
    "/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents",
    "/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore",
    "/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata",
    "/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices",
    "/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit",
    "/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE",
    "/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices",
    "/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices",
    "/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList",
    "/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS",
    "/System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth",
    "/System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport",
    "/System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC",
    "/System/Library/PrivateFrameworks/CoreNLP.framework/Versions/A/CoreNLP",
    "/System/Library/PrivateFrameworks/MetadataUtilities.framework/Versions/A/MetadataUtilities",
    "/usr/lib/libmecabra.dylib",
    "/usr/lib/libmecab.1.0.0.dylib",
    "/usr/lib/libgermantok.dylib",
    "/usr/lib/libThaiTokenizer.dylib",
    "/usr/lib/libChineseTokenizer.dylib",
    "/usr/lib/libiconv.2.dylib",
    "/usr/lib/libcharset.1.dylib",
    "/System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling",
    "/System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji",
    "/System/Library/PrivateFrameworks/Lexicon.framework/Versions/A/Lexicon",
    "/System/Library/PrivateFrameworks/LinguisticData.framework/Versions/A/LinguisticData",
    "/usr/lib/libcmph.dylib",
    "/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData",
    "/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory",
    "/System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS",
    "/usr/lib/libutil.dylib",
    "/System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement",
    "/System/Library/PrivateFrameworks/BackgroundTaskManagement.framework/Versions/A/BackgroundTaskManagement",
    "/usr/lib/libxslt.1.dylib",
    "/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage",
    "/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib",
    "/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib",
    "/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib",
    "/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib",
    "/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib",
    "/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib",
    "/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib",
    "/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib",
    "/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib",
    "/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparse.dylib",
    "/System/Library/PrivateFrameworks/GPUWrangler.framework/Versions/A/GPUWrangler",
    "/System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator",
    "/System/Library/PrivateFrameworks/IOPresentment.framework/Versions/A/IOPresentment",
    "/System/Library/PrivateFrameworks/DSExternalDisplay.framework/Versions/A/DSExternalDisplay",
    "/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib",
    "/System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSCore.framework/Versions/A/MPSCore",
    "/System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSImage.framework/Versions/A/MPSImage",
    "/System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSNeuralNetwork.framework/Versions/A/MPSNeuralNetwork",
    "/System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSMatrix.framework/Versions/A/MPSMatrix",
    "/System/Library/Frameworks/MetalPerformanceShaders.framework/Frameworks/MPSRayIntersector.framework/Versions/A/MPSRayIntersector",
    "/System/Library/PrivateFrameworks/MetalTools.framework/Versions/A/MetalTools",
    "/System/Library/PrivateFrameworks/AggregateDictionary.framework/Versions/A/AggregateDictionary",
    "/usr/lib/libMobileGestalt.dylib",
    "/System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage",
    "/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo",
    "/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL",
    "/System/Library/PrivateFrameworks/GraphVisualizer.framework/Versions/A/GraphVisualizer",
    "/System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore",
    "/System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL",
    "/usr/lib/libFosl_dynamic.dylib",
    "/System/Library/PrivateFrameworks/OTSVG.framework/Versions/A/OTSVG",
    "/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib",
    "/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib",
    "/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib",
    "/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib",
    "/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib",
    "/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib",
    "/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib",
    "/System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib",
    "/System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG",
    "/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib",
    "/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib",
    "/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib",
    "/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib",
    "/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib",
    "/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib",
    "/usr/lib/libcups.2.dylib",
    "/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos",
    "/System/Library/Frameworks/GSS.framework/Versions/A/GSS",
    "/usr/lib/libresolv.9.dylib",
    "/System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal",
    "/usr/lib/libheimdal-asn1.dylib",
    "/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory",
    "/System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth",
    "/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation",
    "/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio",
    "/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox",
    "/System/Library/PrivateFrameworks/AppleSauce.framework/Versions/A/AppleSauce",
    "/System/Library/PrivateFrameworks/AssertionServices.framework/Versions/A/AssertionServices",
    "/System/Library/PrivateFrameworks/BaseBoard.framework/Versions/A/BaseBoard",
    "/Users/mawenqiang/work/Pad_New/node_modules/webpack-dev-server/node_modules/fsevents/build/Release/fse.node",
    "/Users/mawenqiang/work/Pad_New/node_modules/node-sass/vendor/darwin-x64-72/binding.node",
    "/Users/mawenqiang/work/Pad_New/node_modules/fsevents/build/Release/fse.node"
  ]
}